/*
 *  $Revision: 1.4 $
 *
 *  Viewscript UI definitions for the Core vcButnRow facility.
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

cmdNoop := vcWv.Cmd (fac, func(args...););
vcBind.Set (bindings, '\leftdbl', cmdNoop);

moveleft_cmd := vcWv.Cmd (fac,
                         func (box, ev)
                         {
                             PrevControl (box, ev);
                         }, "moveleft");

moveright_cmd := vcWv.Cmd (fac,
                         func (box, ev)
                         {
                             NextControl (box, ev);
                         }, "moveright");

fire_cmd := vcWv.Cmd (fac,
                         func (box, ev)
                         {
                            fire (box, ev);
                         }, "fire");

vcCmd.EnableMacro (moveleft_cmd, vlOnOff.Off);
vcCmd.EnableMacro (moveright_cmd, vlOnOff.Off);
vcCmd.EnableMacro (fire_cmd, vlOnOff.Off);

vcBind.Set (bindings, '\left', moveleft_cmd);
vcBind.Set (bindings, '\up', moveleft_cmd);
vcBind.Set (bindings, '\right', moveright_cmd);
vcBind.Set (bindings, '\down', moveright_cmd);
vcBind.Set (bindings, ' ', fire_cmd);
vcBind.Set (bindings, '\enter', fire_cmd);

