;;;;
;;;; $Revision: 1.14.1.1 $  $Date    : 93/12/18 16:44:43 $
;;;;
;;;; VDM class definitions for source files.
;;;;
;;;; Copyright (c) 1994 by Viewlogic Systems, Inc.
;;;;

(vdm|ClassFileSetVersion class_file 1.0)


(vdm|ClassCreate "C Source" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.c")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "C Header" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.h")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "ViewScript/VS" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Type vdmClassType|File)
     (cons 'PhysicalTemplate "$NAME.vs")
     (cons 'Editor vdmEditDefault))


(vdm|ClassCreate "ViewScript/SCM" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.scm")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Viewmake Recipe" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.vmk")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "BuildMachine Recipe" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.rec")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Message File" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.vmt")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Binary Message File" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Type vdmClassType|File)
     (cons 'PhysicalTemplate "$NAME.vmb")
     (cons 'Editor vdmEditDefault))


(vdm|ClassCreate "Makedoc Recipe" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.makedoc")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Bitmap" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.xbm")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Color Bitmap" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.xpm")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Stroke Font" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.stk")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Ini File" class_file
     (cons 'AttrList `("NAME"))
     (cons 'AttrFilter `(".*"))
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "$NAME.ini")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Imakefile" class_file
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "Imakefile")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Makefile" class_file
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "Makefile")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "Code Review" class_file
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "CODE.RVW")
     (cons 'Type vdmClassType|File))


(vdm|ClassCreate "README" class_file
     (cons 'Editor vdmEditDefault)
     (cons 'PhysicalTemplate "README")
     (cons 'Type vdmClassType|File))
