/*
 *  $Revision: 1.8.8.1 $
 *
 *  Viewscript UI definitions for the Core vcSlider facility.
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

armed_bindings := vcBind.Create ();

vcBind.Set (armed_bindings, '\move', vcWv.Cmd (fac, move, "_move"));
vcBind.Set (bindings, '\leftdown',
            vcWv.Cmd (fac,
                      func(slider, ev) {
                          start (slider, ev);
                          vcRegion.SetBindings (vcEvent.Region (ev),
                                                armed_bindings);
                      },
                      "_start"));
vcBind.Set (armed_bindings, '\leftup',
            vcWv.Cmd (fac,
                      func(slider, ev) {
                          finish(slider, ev);
                          vcRegion.SetBindings (vcEvent.Region (ev),
                                                bindings);
                      },
                      "_finish"));
