(load "PostPackCol" nil)

;;;
;;; Allegro Netlist (.tel file)
;;;
(vdm|ClassCreate "Netlist" class_file
     `(AttrList          . ("NAME"))
     `(AttrFilter        . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate  . "$NAME.tel")
     `(Type              . ,vdmClassType|File))

;;;
;;; Allegro Composite class for Design after Check&Pack
;;;
(vdm|ClassCreate "PostPack" class_file
     `(AttrList          . ("NAME"))
     `(AttrFilter        . (".*"))
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate  . "AllegroColl/PostPack/$NAME.vcl")
     `(CollectionMembers . ("ViewDraw Design" "Wir" "Netlist" "PcbDictionaries"
))
     `(ComposeFunc       . ,PostPackColComposeFunc)
     `(Type              . ,vdmClassType|Composite))

;;;
;;; Allegro Composite class for Design after Backannotation
;;;
(vdm|ClassCreate "BackannotatedCollection" class_file
     `(AttrList          . ("NAME"))
     `(AttrFilter        . (".*"))
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate  . "AllegroColl/Backanno/$NAME.vcl")
     `(CollectionMembers . ("ViewDraw Design" "Wir" "Netlist" "PcbDictionaries"
))
     `(ComposeFunc       . ,PostPackColComposeFunc)
     `(Type              . ,vdmClassType|Composite))


;;;
;;; Allegro board file
;;;
(vdm|ClassCreate "AllegroBrdSymbols" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "$NAME.brd")
     `(Type             . ,vdmClassType|File))

;;;
;;; Allegro device file
;;;
(vdm|ClassCreate "AllegroDevices" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "$NAME")
     `(PhysicalTemplate . "$NAME.txt")
     `(Type             . ,vdmClassType|File))

;;;
;;; Allegro output placement file
;;;
(vdm|ClassCreate "AllegroBackPlacement" class_file
     `(AttrList         . ("NAME"))
     `(AttrFilter       . (".*"))
     `(Editor           . ,vdmEditDefault)
     `(NameTemplate      . "place_txt")
     `(PhysicalTemplate . "$NAME.txt")
     `(Type             . ,vdmClassType|File))


