/*
 * $RCSfile: vdbFormmn.vs,v $ $Revision: 1.13 $
 *
 * The vdb2 facility -- menus
 */


menuConfig :=
    vcWv.MakeMenu ("config",
                   list ("Edit config file", cmdCfgEdit),
                   list ("Reread config file", cmdCfgReread));

menuSearch :=
    vcWv.MakeMenu ("Search",
                   list ("By "+OrgGetLabel(), cmdSearchByCategory),
                   list ("All components", cmdSearchAcrossCategories));

menuMisc :=
    vcWv.MakeMenu ("ViewDraw",
                   list ("Load values", cmdLoadFromVdraw),
                   /*list ("Add component", cmdAddPart),*/
                   vcWv.Separator (),
                   list ("Add mode", cmdAddMode));

menuHelp :=
    vcWv.MakeMenu ("help",
                   vcWv.CheckedOption ("Show button tips",
                                       cmdDisplayTips,
                                       vdbCfg.bDisplayTips));

menuMain :=
    vcWv.MakeMenu ("toplevel",
                   vcWin.RedSquareEntryNoPlot,
                   list ("&Config", menuConfig),
                   list ("&Misc", menuMisc),
                   list ("&Search", menuSearch),
                   list ("&Help", menuHelp));

vcFac.SetMenus (fac, menuMain);
