/***
 * MOUSE BUTTON BINDINGS 
 ***/
vcBind.Set(bindings, '\leftdown', make_select(OFF));
    /* leftdown */

vcBind.Set(bindings, '\^\leftdown', make_select(ON));
    /* ctrl leftdown */

vcBind.Set(bindings, '\#\leftdown', do_unselect_cmd);  
/* shift leftdown */

/***
 * GESTURE BINDINGS
 ***/
vcGesture.Set (gestures, vcGesture.Z, zoom_to_area_cmd);
vcGesture.Set (gestures, vcGesture.Line, zoom_to_area_cmd);
vcGesture.Set (gestures, vcGesture.O, out_cmd);
vcGesture.Set (gestures, vcGesture.M, do_move_cmd);
vcGesture.Set (gestures, vcGesture.C, do_copy_cmd);
/*vcGesture.Set (gestures, 0x1222, full_cmd);
vcGesture.Set (gestures, 0x2233, vcWin.wclose);
vcGesture.Set (gestures, 0x3311, do_scroll_cmd);
vcGesture.Set (gestures, 0x1121, full_cmd);     upside down check mark 
vcGesture.Set (gestures, 0x3333, full_cmd);
vcGesture.Set (gestures, 0x2122, do_pan_cmd);   Capital P, more or less
vcGesture.Set (gestures, 0x3321, delete_cmd);*/


vcBind.Set(bindings, '\middledown', vcGesture.StartCmd);
vcBind.Set(bindings, '\#\middledown', vcGesture.StartCmd);


/***
 * KEYBOARD KEY BINDINGS
 ***/

vcBind.Set (bindings, 'a',   attr_cmd);
vcBind.Set (bindings, 'A',   do_arc_cmd);         /* or just "arc_cmd" */
vcCmd.SetKey(arc_cmd, 'A');
vcBind.Set (bindings, 'B',   do_box_cmd);         /* or just "box_cmd" */
vcCmd.SetKey(box_cmd, 'B');
vcBind.Set (bindings, 'c',   do_copy_cmd);
vcCmd.SetKey(copy_cmd, 'c');
vcBind.Set (bindings, 'C',   do_circle_cmd);
vcCmd.SetKey(circle_cmd, 'C');
vcBind.Set (bindings, '\_\^C', vcWin.wclose);
vcBind.Set (bindings, 'd',   delete_cmd);
vcBind.Set (bindings, 'i',   comp_cmd);
vcBind.Set (bindings, 'L',   do_line_cmd);        /* or just "line_cmd" */
vcCmd.SetKey(line_cmd, 'L');
vcBind.Set (bindings, 'm',   do_move_cmd);
vcCmd.SetKey(move_cmd, 'm');
vcBind.Set (bindings, 'n',   net_cmd);        /* or just "net_cmd" */
vcBind.Set (bindings, 'p',   do_pin_cmd);
vcCmd.SetKey(pin_cmd, 'p');
vcBind.Set (bindings, 't',   text_cmd);
vcBind.Set (bindings, 'u',   undo_cmd);
vcBind.Set (bindings, 'w',   write_cmd);
vcBind.Set (bindings, 'z',   do_zoom_cmd);        /* or just "zoom_cmd" */
vcCmd.SetKey(zoom_cmd, 'z');
vcBind.Set (bindings, 'Z',   zselect_cmd);
vcBind.Set(bindings, '\F4',do_scroll_cmd);
vcCmd.SetKey(scroll_cmd, '\F4');
vcBind.Set(bindings, '\F5',refresh_cmd);
vcBind.Set(bindings, '\F6',do_pan_cmd);
vcCmd.SetKey(pan_cmd, '\F6');
vcBind.Set(bindings, '\F7',in_cmd);
vcBind.Set(bindings, '\F8',out_cmd);
vcBind.Set(bindings, '\F9',do_zoom_cmd);
vcCmd.SetKey(zoom_cmd, '\F9');
vcBind.Set(bindings, '\F0',full_cmd);

/* Setup interrupt keys for display cancellation */
vcWv.Interrupts(fac,'\e','\F4','\F5','\F6','\F7','\F8','\F9','\F0');

