/*
 * Viewtrace KEY BINDINGS
 */
bindcmd('p',            EditPasteCmd);
bindcmd('s',            EditSubstCmd);

bindcmd('\leftdown',            StartSelectCmd);
bindcmd('\^\leftdown',          StartAddSelectCmd);
bindcmd('\#\leftdown',          StartUnSelectCmd);

bindcmd('\middledown',          SetPointWRTMouseCmd);
bindcmd('\^\middledown',        SetMarkWRTMouseCmd);

bindcmd('\rightdown',           PopupMenuCmd);
bindcmd('\^\rightdown',         ExchangeCmd);

bindcmd('\^\#\leftdown',        StartSelectTextCmd);
bindcmd('\_\^\leftdown',        StartAddSelectTextCmd);
bindcmd('\_\#\leftdown',        StartUnSelectTextCmd);

bindcmd('\^\#\middledown',      ChangeTextMoveCmd);
bindcmd('\^\#\rightdown',       UnSelectAllTextCmd);

bindcmd('\F4',                  ViewScrollCmd);
bindcmd('\F5',                  ViewRefreshCmd);
bindcmd('\F6',                  ViewPanCmd);
bindcmd('\F7',                  ViewInCmd);
bindcmd('\F8',                  ViewOutCmd);
bindcmd('\F9',                  ViewZoomCmd);
bindcmd('\F0',                  ViewFullCmd);

bindcmd('\pgup',                PgUpCmd);
bindcmd('\pgdn',                PgDnCmd);
bindcmd('\home',                HomeCmd);
bindcmd('\end',                 EndCmd);
bindcmd('\up',                  UpCmd);
bindcmd('\down',                DownCmd);

/* ---------------- */

vcBind.Set (bindings, '\_\^C', vcWin.wclose);
vcBind.Set (bindings, '\_\F4', vcWin.wclose);

vcBind.Set (bindings, '!',   EditRepeatCmd);

vcBind.Set (bindings, 'c',   EditCopyCmd);
vcBind.Set (bindings, 'C',   EditCutCmd);

vcBind.Set (bindings, '\^d',   SignalDeleteCmd);

vcBind.Set (bindings, 'e',   EditSetValueCmd);

vcBind.Set (bindings, 'f',   FileOpenCmd);
vcBind.Set (bindings, 'F',   EditSetValueCmd);
vcBind.Set (bindings, '\^h', SignalHideCmd);

vcBind.Set (bindings, 'I',   EditInsertTimeCmd);

vcBind.Set (bindings, 'l',   ChangeAxisLabelCmd);
vcBind.Set (bindings, 'L',   SignalLogicCmd);

vcBind.Set (bindings, 'M',   SignalMathCmd);
vcBind.Set (bindings, 'E',   SignalMathExprCmd);
vcBind.Set (bindings, 'n',   ChangeSignalNameCmd);

vcBind.Set (bindings, 'p',   EditPasteCmd);

vcBind.Set (bindings, 'R',   ViewRangeCmd);
vcBind.Set (bindings, 'r',   FileReadCmd);

vcBind.Set (bindings, 'S',   EditSubstCmd);
vcBind.Set (bindings, 's',   EditCreateSignalCmd);
vcBind.Set (bindings, '\^s', SignalShowMenuCmd);

vcBind.Set (bindings, 't',   ChangeTextCreateCmd);

vcBind.Set (bindings, 'u',   UnSelectAllCmd);

vcBind.Set (bindings, 'V',   ViewSaveCmd);
vcBind.Set (bindings, 'v',   ViewRestoreCmd);

vcBind.Set (bindings, 'W',   FileWriteToCmd);
vcBind.Set (bindings, 'w',   FileWriteCmd);

vcBind.Set (bindings, 'z',   ViewZoomCmd);

vcBind.Set (bindings, '+', AddBindCmd);
vcBind.Set (bindings, '-', SubBindCmd);
vcBind.Set (bindings, '*', MultBindCmd);
vcBind.Set (bindings, '/', DivBindCmd);
