#include "vdrc.h"

extern void vdrcFanoutInit vlARGS((vdrcID, int *, char **));
extern void vdrcNetGlobalInit vlARGS((vdrcID, int *, char **));
extern void vdrcPcbInit vlARGS((vdrcID, int *, char **));
extern void vdrcReqAttrInit vlARGS((vdrcID, int *, char **));
extern void vdrcSyntaxInit vlARGS((vdrcID, int *, char **));
extern void vdrcAliasInit vlARGS((vdrcID, int *, char **));

#if vlHW_HP9K700 || (vlHW_SUN4 && !vlOS_SYSVR4) || vlHW_RIOS
extern void vdrcCosimInit vlARGS((vdrcID, int *, char **));
#endif

/*\Function vdrcUserInit -- Initialize all DRC tests

DESCRIPTION
     This function is designed to be modified by users wishing
     to write new DRC checks.  The checks are initialized here
     by calling the testing init routine, recompiling the test
     module, recompiling drcuser.c, and linking them both against
     the supplied drc library, plus Viewbase.
*/
void vdrcUserInit(drc, argcp, argv)
    vdrcID drc;
    int *argcp;
    char **argv;
{
    vdrcFanoutInit (drc, argcp, argv);
    vdrcNetGlobalInit (drc, argcp, argv);
    vdrcPcbInit (drc, argcp, argv);
    vdrcReqAttrInit (drc, argcp, argv);
    vdrcSyntaxInit (drc, argcp, argv);
    vdrcAliasInit (drc, argcp, argv);
#if vlHW_HP9K700 || (vlHW_SUN4 && !vlOS_SYSVR4) || vlHW_RIOS
    vdrcCosimInit (drc, argcp, argv);
#endif
    /*
     * Users may add their own DRC test initializations here.
     * See the man page on vdrc for details.
     */
    USER (drc, argcp, argv);
} /* void vdrcUserInit */
