/*
 * $Id: rvananal.vs,v 1.11 1995/03/03 20:47:13 dahan Stab $
 *
 * This is a Viewscript encapsulation of the Vantage analzyer as applied
 * to cosimulation.  This requires that VANTAGE_VSS and PATH be set up
 * to look at the IR10/van_vss subdirectory off of $WDIR.  It also means
 * the library list is found in vsslib.ini.
 */

vcWv.RequireFac (wv, "vansetup");

/* Find a window, preferably the viewframe window */
window := nil;
region := nil;
foreach (w; vcWin.Loop ()) {
    window = w;
    region = vcWin.OwnerRegion (w);
    if (string_eq (vcFac.Name (vcRegion.Fac (region)), "vframe"))
        break;
} /* foreach */

if (window != nil) {
    event := vcEvent.Create (0, 0, '0', "", window, region, nil);
    vcCmd.Run (vananalz.analyze_without_setup_cmd, window, event, nil,
               TRUE);
} /* if */
