
s_mnuval := vcWv.MakeMenu ("s_mnuval",
                                list ("Node...", s_d),
                                list ("All", s_d_all));
s_mnuvalsch := vcWv.MakeMenu ("s_mnuval",
                                list ("Node...", s_d_sch),
                                list ("All", s_d_all_sch));

s_mnusdr := vcWv.MakeMenu ("s_mnusdr",
                                list ("Dflts", s_defaults),
                                list ("Report", s_report));

s_mnudis := vcWv.MakeMenu ("s_mnudis",
                                vcWv.Pin(),
                                list ("Value", s_mnuval),
                                list ("Value On Schematics", s_mnuvalsch),

                                list ("List Source...", s_dsource),
                                list ("Scheduled Events", s_devents),
                                list ("Sensitized Processes", s_dactives),
                                list ("WatchList", s_display),
                                list ("Path...", s_path),
                                list ("Stats", s_stats),
                                list ("Info...", s_info),
                                list ("Stepsize", s_stepsize),
                                list ("Delay", s_delay),
                                list ("Time", s_time),
                                list ("Status", s_mnusdr));

s_mnuall := vcWv.MakeMenu ("s_mnuall",
                                list ("On", 
			s_reportall),
                                list ("Off", 
			s_report_all));

s_mnurtm := vcWv.MakeMenu ("s_mnurtm",
                                list ("On", s_reporttiming),
                                list ("Off", s_report_timing));

s_mnusta := vcWv.MakeMenu ("s_mnusta",
                                list ("On", s_reportstability),
                                list ("Off", s_report_stability));

s_mnuspi := vcWv.MakeMenu ("s_mnuspi",
                                list ("On", s_reportspikes),
                                list ("Off", s_report_spikes));

s_mnurep := vcWv.MakeMenu ("s_mnurep",
                                list ("Spike", s_mnuspi),
                                list ("Stability", s_mnusta),
                                list ("Timing Checks", s_mnurtm),
                                list ("All", s_mnuall));

s_mnudelay := vcWv.MakeMenu ("s_mnudelay",
                                list ("Min", s_mindelay),
                                list ("Typ", s_typdelay),
                                list ("Max", s_maxdelay),
                                list ("Transport", s_transportdelay),
                                list ("Inertial", s_inertialdelay),
                                list ("Fixed Val...", s_fixedvaldelay),
                                list ("Scale...", s_scaledelay));


s_mnubig := vcWv.MakeMenu ("s_mnubig",
                                list ("On", s_defaultbignet),
                                list ("Off", s_default_bignet));

s_mnucmd := vcWv.MakeMenu ("s_mnucmd",
                                list ("On", s_defaultcmdfile),
                                list ("Off", s_default_cmdfile));

s_mnuwat := vcWv.MakeMenu ("s_mnuwat",
                                list ("On", s_defaultwatch),
                                list ("Off", s_default_watch));

s_mnutim := vcWv.MakeMenu ("s_mnutim",
                                list ("On", s_defaulttime),
                                list ("Off", s_default_time));

s_mnudef := vcWv.MakeMenu ("s_mnudef",
                                list ("Time", s_mnutim),
                                list ("Watch", s_mnuwat),
                                list ("Cmdfile", s_mnucmd),
                                list ("Bignet", s_mnubig));

s_mnufor := vcWv.MakeMenu ("s_mnufor",
/*                                vcWv.Pin(),
*/
                                list ("L...", s_l),
                                list ("H...", s_h),
                                list ("X...", s_x),
                                list ("Assign...", s_assign),
                                list ("Edit Value", editval_cmd),
                                list ("Release...", s_r));


s_mnuset := vcWv.MakeMenu ("s_mnuset",
                                vcWv.Pin(),
                                list ("Wave...", s_wave),
                                list ("Vector...", s_v),
                                list ("Wfm...", s_setwfm),
                                list ("Pat...", s_setpat),
                                list ("Clock...", s_clock),
                                list ("Stepsize...", s_step),
                                list ("Radix...", s_radix),
                                list ("BrkPnt...", s_set_brkpnt),
                                vcWv.Separator(),
                                list ("Watch...", s_w),
                                list ("Trace...", s_t),
                                list ("Defaults", s_mnudef),
                                list ("Report", s_mnurep),
                                list ("Delay", s_mnudelay),

                                list ("Print", s_print),
                                list ("LogFile...", s_logfile),
                                vcWv.Separator(),
                                list ("Vantage Libraries...", s_vansetup));

s_mnuwatch := vcWv.MakeMenu ("s_mnuwatch",
                                  list ("Node...", s_watch),
                                  list ("All Nodes", s_watch_all));

s_mnutrac := vcWv.MakeMenu ("s_mnutrac",
                                 list ("Node...", s_dtrace),
                                 list ("All Nodes", s_dtrace_all));

s_mnudwfm := vcWv.MakeMenu ("s_mnudwfm",
                                 list ("Node...", s_wfm),
                                 list ("All Nodes", s_wfm_all));

s_mnudbrk := vcWv.MakeMenu ("s_mnudbrk",
                                 list ("Node...", s_brkpnt),
                                 list ("All Nodes", s_brkpnt_all));

s_mnudpat := vcWv.MakeMenu ("s_mnudpat",
                                 list ("Node...", s_pat),
                                 list ("All Nodes", s_pattern));

s_mnudelclk := vcWv.MakeMenu ("s_mnudelclk",
                                   list ("Node...", s_ck),
                                   list ("All Nodes", s_ck_all));

s_mnudel := vcWv.MakeMenu ("s_mnudel",
                                vcWv.Pin(),
                                list ("Wfm", s_mnudwfm),
                                list ("Pat", s_mnudpat),
                                list ("Clock", s_mnudelclk),
                                list ("BrkPnt", s_mnudbrk),
                                list ("Watch", s_mnuwatch),
                                list ("Trace", s_mnutrac));

s_mnuexe := vcWv.MakeMenu ("s_mnuexe",
                                list ("CmdFile...", s_cmd),
                                list ("LogFile...", s_log));

s_mnuwin := vcWv.MakeMenu ("s_mnuwin",
                                list ("Close", vcWin.wclose));
s_mnubrkat := vcWv.MakeMenu ("s_mnubrkat",
                                vcWv.Pin(),
                                 list ("At Line...", s_set_brkpnt_line),
                                 list ("In Subprogram...", s_set_brkpnt_subprogram),
                                 list ("On Signal( Any Event )...", s_set_brkpnt_signal),
                                 list ("In Process...", s_set_brkpnt_process));
s_mnubrk := vcWv.MakeMenu ("s_mnubrk",
                                vcWv.Pin(),
                                 list ("Set Break", s_mnubrkat),
                                 list ("Delete...", s_delete_brkpnt), 

                                 list ("Show", s_bshow));



s_mnustep := vcWv.MakeMenu ("s_mnustep",
                                vcWv.Pin(),
                                 list ("Single Step", s_sstep),
                                 list ("Step Phase", s_sphase),
                                 list ("Step Process", s_sprocess),
                                 list ("Step Delta", s_sdelta),
                                 list ("Step Subroutine End", s_send),
                                 list ("Next Statement", s_snext),
                                 list ("Step Over", s_sover));

s_mnusim := vcWv.MakeMenu ("s_mnusim",
/*                                vcWv.Pin(),
*/
                                 list ("Run", s_run),
                                 list ("Sim", s_sim),
                                 list ("Cycle", s_cycle),
                                 list ("Continue", s_continue),
                                 list ("Stop", s_stop),
                                 list ("Restart", s_restart),
                                 list ("Activate", s_activate),

                                 list ("Quit", vcWin.wclose));
s_mnumisc := vcWv.MakeMenu ("s_mnumisc",
                                vcWv.Pin(),
                                 list ("Net...", s_mnunet),
                                 list ("Execute", s_mnuexe),
                                 list ("Type...", s_type),
                                 list ("Help...", s_help));

s_mnutrace := vcWv.MakeMenu ("s_mnutrace",
/*                                vcWv.Pin(),
*/
                                 list ("Trace...", s_trace),
                                 list ("In Monitor Window...", s_monitor),
                                 list ("In Schematics Window...", s_monitor_sch),

                                 list ("In Wave Window...", s_wave));
s_mnuopen := vcWv.MakeMenu ("s_mnuopen",
/*                                vcWv.Pin(),
*/
                            list ("Event Queue", s_oqueue),
                            list ("Monitor Window", s_omonitor),
                            list ("List Browser...", nav_cmd),
                            list ("Subset Analyzer...", s_oanalyzer),
                            list ("Cosim Analyzer...", s_vananalyze),
                            list ("Vantage Manager...", s_vansetup));


/* MAIN Viewsim Menu */
vsim_menu := vcWv.MakeMenu ("vsim",
                  		 vcWin.RedSquareEntry,
                                 list ("Sim", s_mnusim),
                                 list ("Step", s_mnustep),
                                 list ("BreakPoint", s_mnubrk),
                                 list ("Display", s_mnudis),
                                 list ("Set", s_mnufor),
                                 list ("Trace", s_mnutrace),
                                 list ("Setup", s_mnuset),
                                 list ("Delete", s_mnudel),
                                 list ("Open", s_mnuopen),
                                 list ("Misc", s_mnumisc));
vcFac.SetMenus (fac, vsim_menu); 
