/*
 * $Revision: 1.6.4.1 $
 */

package vsplwid (create_lwid_cmdline, apply_changes) {

declare lwid_scale_bar;
declare cur_lwid;
vspLWID_PRMPT := "Line Width >";
vspLWID_STR := "LWIDTH";

function apply_changes () {
        lwid := vcRegion.Get (lwid_scale_bar, float);
        if (lwid > 0)
                fac_pack.sp_sapopt (string_append(vspLWID_STR, " ", 
                        convert(vlStringVT, lwid)));
}

function create_lwid_cmdline () {

        cur_lwid = fac_pack.get_def_lwidth ();

        lwid_scale_bar = vcRegion.Create1 ("lwid.sbar", vcScalebar.fac,
                                cur_lwid, list (cons (`increment, .1),
                                        cons (`min, 0),
                                        cons (`max, 5),
                                        cons (`width, 100),
                                        cons (`macro_on, TRUE)));

        if (string2number(cur_lwid) == -1) {
                vcRegion.Enable (lwid_scale_bar, FALSE, TRUE);
        }
        ttab := vcTable.Create ("scale_bar.tab", 2, 1);

        vcTable.Add (ttab, vcRegion.Create1 ("scale_bar.title", vcLabel.fac,
                                "LINE WIDTH", nil));
        vcTable.Add (ttab, lwid_scale_bar);

        return (vcRegion.Create1 ("scale_bar.bord", vcBorder.fac, ttab, nil));
}
}
