/*
 *  $Revision: 1.3.7.1 $
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

/*
 * This demo just creates four arrows in a table, pointing outwards. 
 * Note that the table is not completely filled.
 */

table := vcTable.Create ("arrows", 3, 3);
vcRegion.PrefSet (table, list (macro_on <- TRUE));


function set(x, y, name, val)
    vcTable.Set (table, x, y, 
                 vcRegion.Create1 (name, vcArrow.fac, val,
                                   list (triangle <- vlTrueFalse.True)));

set (0, 1, "up",    Orient.up);
set (1, 0, "left",  Orient.left);
set (1, 2, "right", Orient.right);
set (2, 1, "down",  Orient.down);

vcWin.Create (table, vcWin.NoCmdline + vcWin.NoStatus + vcWin.NoMenus);
