/*
 *  $Revision: 1.2.7.1 $
 *
 *  This demonstrates using "backing store" to speed up refreshes
 *  of complex windows.  Backing store should only be used for
 *  complex windows, because it uses up a great deal of memory on
 *  the X Server.  Backing store is only a "hint", and may be
 *  ignored by the graphics system.  In particular, MS Windows does
 *  not support backing store.
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

t := vcTable.Create ("t", 20, 20);
for (i := 0; i < 400; ++i)
    vcTable.Add (t, vcRegion.Create (i, vcLabel.fac, i));
vcWin.Create (t, vcWin.Flag.BackingStore);
