entity f_prime is
  port (n : in vlbit_1d(0 to 31));
end f_prime;



architecture behavior of f_prime is
  type comp is record
       number : integer; 
            p : boolean;
      end record;

begin

    find_a_prime_number: process(n)
    variable comp_var : comp; 
    begin
    comp_var.p := false;

    if (not(vecx(n) or vecz(n))) then
        if (n(31) /= '0') then
            comp_var.number := v1d2int(n);
            for i in 3 to ((comp_var.number - 1) / 2) loop
                comp_var.p := ((comp_var.number rem i) = 0);
                if (comp_var.p) then
                   exit;
                end if;
            end loop;
            if not(comp_var.p) then
                putline("A Prime Number : ", comp_var.number);
            end if;
        end if;
    end if;
    end process;

end;
