entity foadder is
    port (av ,bv : in vlbit_1d(0 to 3);
          fci   : in vlbit;
          sv    : out vlbit_1d(0 to 3);
          fco   : out vlbit);
end;



architecture struct of foadder is 

    signal Ic3, Ic2, Ic1 : vlbit;
    signal sa0, sa1, sa2, sa3 : vlbit;
    signal sb0, sb1, sb2, sb3 : vlbit;
    signal ss0, ss1, ss2, ss3 : vlbit;

    component fuadder
       generic (delay : time);
       port(a,b,cI : in vlbit;
            s,co : out vlbit);
    end component;

    begin
Ic1 <= 'Z';
Ic2 <= 'Z';
Ic3 <= 'Z';
ss0 <= 'Z';
ss1 <= 'Z';
ss2 <= 'Z';
ss3 <= 'Z';
fco <= 'Z';
    sv <= (ss0,ss1,ss2,ss3);
    sa0 <= av(0);
    sa1 <= av(1);
    sa2 <= av(2);
    sa3 <= av(3);
    sb0 <= bv(0);
    sb1 <= bv(1);
    sb2 <= bv(2);
    sb3 <= bv(3);

    add3 : fuadder 
           generic map (0 ns)
           port map    (sa3, sb3, fci, ss3, Ic3);

    add2 : fuadder 
           generic map (0 ns)
           port map    (sa2, sb2, Ic3, ss2, Ic2);

    add1 : fuadder 
           generic map (0 ns)
           port map    (sa1, sb1, Ic2, ss1, Ic1);

    add0 : fuadder 
           generic map (0 ns)
           port map    (sa0, sb0, Ic1, ss0, fco);

    end;
 
